var sql = require('mssql');//包含mssql模块
//----------------------------------mssql 连接设置--------------------------------------
function mssqlconnet(ho, db) {
    return {
        user: 'sa',
        password: '123',
        server: ho,
        database: db
    };
}

exports.usselect = function (pArr, callback) {
    var _pro = "", i; //定义循环变量,对字符串解密
    for (i = 0; i < pArr.length; i++) { pArr[i] = decodeURIComponent(pArr[i]); } //解密中文字符串。

    //如果前台没有传参数过来，则需进这里
    if (!pArr[3]) {
        _pro = "EXEC " + pArr[2];
    } else {  //否则有参数
        _pro = "EXEC " + "" + pArr[2] + " '"; //命令拼凑
        for (i = 3; i < pArr.length; i++) { _pro += pArr[i]; if (i < pArr.length - 1) _pro += "','"; } //拼凑参数
        _pro += "'"; //拼凑结束。
    }
    var config = mssqlconnet(pArr[0], pArr[1]);//更新设置
    var connection = new sql.Connection(config, function (err) {//创建连接
        console.log("拼凑的MySQl语句为：" + _pro);//调试
        var request = new sql.Request(connection);//创建连接
        request.query(_pro, function (err, recordsets) {//执行语句
            callback(JSON.stringify(recordsets)); //返回json数据
        });

    });
}